Bug 247732 - last line of output not shown
Summary: last line of output not shown
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-terminal   
(Show other bugs)
Version: 4.5
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Tomáš Bžatek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-11 05:13 UTC by John Newbigin
Modified: 2015-03-03 22:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 16:09:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Newbigin 2007-07-11 05:13:58 UTC
Description of problem:
Sometimes, the last line in the terminal is not shown. This is normally the
shell prompt after a command has run but does not have to be.

Version-Release number of selected component (if applicable):
gnome-terminal-2.7.3-2


How reproducible:
Sometimes

Steps to Reproduce:
1. run gnome-terminal
2. ssh to another linux box
3. run seq 10000
4. look for the prompt
5. if it is not there, go back to step 3

Although it can happen localy, I found it easier to reproduce when connected to
a remote machine.  For some reason, the output of a remote seq command is faster
than when locally run.
  
Actual results:
About 1 in 10 times, the prompt is not shown.

Expected results:
The prompt should always be displayed.

Additional info:
Scrolling up and down does not force the line to be drawn.
Resizing the window does.

Comment 1 John Newbigin 2007-07-13 03:32:10 UTC
For what is it worth, I tried the vte patch from bug #219617 but that did not
help with this problem.

Comment 2 Jiri Pallich 2012-06-20 16:09:49 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.